use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

my $modules = {};  my $man3page = {};  my $scripts = [];  my $man1page = {};
foreach ( qw( mount.biocore mount.netfiles unmount.biocore unmount.netfiles 
	      davmount ) ) { 
  my $file = "scripts/$_";
  my $man1 = join('/', '$(INST_MAN1DIR)', "$_.1");
  push @{$scripts}, $file;  $$man1page{$file} = $man1;
}

WriteMakefile(
    'NAME'         => 'TCB-Webdav',
    'DISTNAME'     => 'TCB-Webdav',
    'VERSION_FROM' => 'scripts/mount.biocore', # finds $VERSION
    'MAN1PODS'     => $man1page, 
    'EXE_FILES'    => $scripts, 
    'dist' => { COMPRESS => 'gzip', SUFFIX => 'gz' },
);
